package com.ruoyi.cms.service.impl;

import com.ruoyi.cms.mapper.AppSkillMapper;
import com.ruoyi.cms.service.AppSkillService;
import com.ruoyi.common.core.domain.entity.AppSkill;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Arrays;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;


@Service
public class AppSkillServiceImpl extends ServiceImpl<AppSkillMapper, AppSkill> implements AppSkillService {

    @Autowired
    AppSkillMapper appSkillMapper;

    public List<AppSkill> getList(AppSkill appSkill){
        return appSkillMapper.getList(appSkill);
    }

    @Override
    public int insertAppskill(AppSkill appSkill) {
        return appSkillMapper.insert(appSkill);
    }

    @Override
    public int updateAppskillById(AppSkill appSkill) {
        return appSkillMapper.updateById(appSkill);
    }

    @Override
    public int removeAppskillIds(Long[] ids) {
        return appSkillMapper.deleteBatchIds(Arrays.asList(ids));
    }

    @Override
    public AppSkill getAppskillById(Long id) {
        return appSkillMapper.selectById(id);
    }
}
